summaryrefslogtreecommitdiff
path: root/python2-gitpython
diff options
context:
space:
mode:
authorJon Bergli Heier <snakebite@jvnv.net>2012-03-27 19:02:44 +0200
committerJon Bergli Heier <snakebite@jvnv.net>2012-03-27 19:02:44 +0200
commit677ddb1cd47048428c9ecb7131f9361d300a4477 (patch)
tree2cdde9344da941b8fdeb71086cf9a6c9de264d93 /python2-gitpython
parentdda279ea26e16e5e9490ce71e544b95958015841 (diff)
gitpython: Renamed package to python2-gitpython.
Diffstat (limited to 'python2-gitpython')
-rw-r--r--python2-gitpython/PKGBUILD23
1 files changed, 23 insertions, 0 deletions
diff --git a/python2-gitpython/PKGBUILD b/python2-gitpython/PKGBUILD
new file mode 100644
index 0000000..524eed6
--- /dev/null
+++ b/python2-gitpython/PKGBUILD
@@ -0,0 +1,23 @@
+# Maintainer: Jon Bergli Heier <snakebite@jvnv.net>
+
+pkgname=python2-gitpython
+pkgver=0.3.2_rc1
+_pkgver=0.3.2.RC1
+pkgrel=1
+pkgdesc="A python library used to interact with Git repositories"
+arch=('any')
+url="http://gitorious.org/git-python"
+license=('BSD')
+depends=('python2' 'git' 'python-gitdb>=0.5.1')
+makedepends=('python2' 'python2-distribute')
+conflicts=('gitpython-git' 'gitpython')
+replaces=('gitpython')
+source=("http://pypi.python.org/packages/source/G/GitPython/GitPython-${_pkgver}.tar.gz")
+md5sums=('849082fe29adc653a3621465213cab96')
+
+build() {
+ cd "$srcdir/GitPython-${_pkgver}"
+ python2 setup.py install --root="$pkgdir/" --optimize=1 || return 1
+ install -D -m 644 LICENSE "$pkgdir"/usr/share/licenses/gitpython/LICENSE
+}
+# vim:set ts=2 sw=2 et: